/* Custom mixins */
km-leadgen-widget {
  display: block;
  padding: 20px;
}
@media only screen and (min-width: 1024px) {
  km-leadgen-widget {
    padding: 40px 80px;
  }
}
.km-leadgen-widget-text {
  text-align: center;
}
.km-leadgen-widget__content > h3 {
  text-align: center;
  margin-bottom: 20px;
}
.km-leadgen-widget__content > div {
  display: flex;
  flex-direction: column;
  gap: 20px;
}
@media only screen and (min-width: 768px) {
  .km-leadgen-widget__content > div {
    flex-direction: row;
  }
}
@media only screen and (min-width: 768px) {
  .km-leadgen-widget__content > div.km-leadgen-widget__content--inputs {
    flex-direction: row;
    flex-wrap: wrap;
  }
  .km-leadgen-widget__content > div.km-leadgen-widget__content--inputs sl-select,
  .km-leadgen-widget__content > div.km-leadgen-widget__content--inputs sl-input {
    flex: 0 0 calc(50% - 10px);
  }
}
.km-leadgen-widget__content > div.km-leadgen-widget__content__carts {
  display: grid;
  grid-template-columns: 1fr 1fr;
  align-items: stretch;
  justify-content: stretch;
  text-align: center;
}
@media only screen and (min-width: 1024px) {
  .km-leadgen-widget__content > div.km-leadgen-widget__content__carts {
    grid-template-columns: repeat(4, 1fr);
  }
}
.km-leadgen-widget__content > div.km-leadgen-widget__content--append-form {
  margin-top: 20px;
}
.km-leadgen-widget__content > div sl-input::part(suffix) {
  color: #1A1A20;
}
.km-leadgen-widget__content sl-card {
  color: #1A1A20;
  width: 100%;
  cursor: pointer;
  font-size: 2rem;
  font-weight: bold;
}
.km-leadgen-widget__content sl-card::part(base) {
  padding-top: 20px;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
}
.km-leadgen-widget__content sl-card:hover::part(base) {
  background-color: #DDDDDF;
}
.km-leadgen-widget__content sl-card.active::part(base) {
  background-color: #DDDDDF;
}
.km-leadgen-widget__controls {
  margin-top: 40px;
  display: flex;
  justify-content: space-between;
  gap: 40px;
}
km-leadgen-widget__loading > div {
  top: 0;
  left: 0;
  position: absolute;
  width: calc(100% - 20px);
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0 10px;
}
km-leadgen-widget__loading > div sl-spinner {
  font-size: 10rem;
  --speed: 3s;
}
